## net.dontdrinkandroot.wicket.headeritem
Class ExternalD3JavaScriptHeaderItem

    java.lang.Object
      org.apache.wicket.markup.head.HeaderItem
          org.apache.wicket.markup.head.JavaScriptHeaderItem
              org.apache.wicket.markup.head.JavaScriptUrlReferenceHeaderItem
                  net.dontdrinkandroot.wicket.headeritem.ExternalD3V2JavaScriptHeaderItem
                      net.dontdrinkandroot.wicket.headeritem.ExternalD3JavaScriptHeaderItem

    public class ExternalD3JavaScriptHeaderItem

extends ExternalD3V2JavaScriptHeaderItem

Constructor Summary
`ExternalD3JavaScriptHeaderItem(boolean defer)`

Method Summary

Methods inherited from class org.apache.wicket.markup.head.JavaScriptUrlReferenceHeaderItem
`equals, getCharset, getId, getRenderTokens, getUrl, hashCode, isDefer, render, toString`

Methods inherited from class org.apache.wicket.markup.head.JavaScriptHeaderItem
`forReference, forReference, forReference, forReference, forReference, forReference, forReference, forReference, forScript, forScript, forUrl, forUrl, forUrl, forUrl, forUrl, getCondition, internalRenderJavaScriptReference`

Methods inherited from class org.apache.wicket.markup.head.HeaderItem
`getDependencies, getProvidedResources`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExternalD3JavaScriptHeaderItem

    public ExternalD3JavaScriptHeaderItem(boolean defer)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.